Bug 114050 - editors/openoffice.org-2 - OpenOffice 2.2.1/MOZ: dmake: Error code 1, while making './unxfbsdi.pro/misc/build/so_moz_include_files'
Summary: editors/openoffice.org-2 - OpenOffice 2.2.1/MOZ: dmake: Error code 1, while ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-26 17:00 UTC by O. Hartmann
Modified: 2008-06-01 13:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2007-06-26 17:00:09 UTC
Building OpenOffice 2.2.1 (OOF680_m18) is broken (using diablo-jdk-15 as most recent in ports collection).
Build-process dies with following error:

=============
Building project moz
=============
/usr/ports/editors/openoffice.org-2/work/OOF680_m18/moz
dmake: Executing shell macro: +-which cc
-------------
/usr/local/bin/gcp -pRL ./unxfbsdi.pro/misc/build/mozilla/dist/include/* ./unxfbsdi.pro/inc
/usr/local/bin/gcp: preserving permissions for `./unxfbsdi.pro/inc/addrbook': Invalid argument
/usr/local/bin/gcp: preserving permissions for `./unxfbsdi.pro/inc/appcomps': Invalid argument
/usr/local/bin/gcp: preserving permissions for `./unxfbsdi.pro/inc/appshell': Invalid argument
./usr/local/bin/gcp: preserving permissions for `./unxfbsdi.pro/inc/xul': Invalid argument
/usr/local/bin/gcp: preserving permissions for `./unxfbsdi.pro/inc/xuldoc': Invalid argument
/usr/local/bin/gcp: preserving permissions for `./unxfbsdi.pro/inc/xultmpl': Invalid argument
/usr/local/bin/gcp: preserving permissions for `./unxfbsdi.pro/inc/zlib': Invalid argument
dmake:  Error code 1, while making './unxfbsdi.pro/misc/build/so_moz_include_files'
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice.org-2/work/OOF680_m18/moz
dmake:  Error code 1, while making 'build_instsetoo_native'
'---*  *---'
*** Error code 255

Stop in /usr/ports/editors/openoffice.org-2.
Comment 1 Edwin Groothuis freebsd_committer 2007-06-27 00:28:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer
Comment 2 hashiz 2007-06-27 02:18:25 UTC
This PR same as ports/107229.

see http://www.freebsd.org/cgi/query-pr.cgi?pr=107229
Comment 3 Dr. Andreas Haakh 2007-07-08 21:58:50 UTC
See also ports/114100

This is basically a bug in gcp (coreutils-6.9_1).
'gcp -pRL ...'  cannot find the right file-permissions when following 
symbolic links.


As FreeBSD's cp seems do do the right thing (cp -pRL ...did the job for 
me) a solution would be to change
moz/extractfiles.mk and include the FreeBSD-clause at line 260
.ELSE
.IF $(OS) == "FreeBSD"
        $(COPY) -pRL $(INCLUDE_PATH)* $(INCLUDE_DIR)
        $(COPY) -pRL $(PUBLIC_PATH)* $(INCLUDE_DIR)
.ELSE
.IF "$(OS)"!="SOLARIS"
        $(GNUCOPY) -pRL $(INCLUDE_PATH)* $(INCLUDE_DIR)
        $(GNUCOPY) -pRL $(PUBLIC_PATH)* $(INCLUDE_DIR)
.ELSE                   # "$(OS)"!="SOLARIS"
        $(COPY) -pr $(INCLUDE_PATH)* $(INCLUDE_DIR)
        $(COPY) -pr $(PUBLIC_PATH)* $(INCLUDE_DIR)
.ENDIF                  # "$(OS)"!="SOLARIS"

If this is the only use of the coreutils, then we might also drop that 
dependency.

Dr. Andreas Haakh
Comment 4 Björn König 2008-02-11 04:03:00 UTC
I think this PR can be closed. The current version of OpenOffice builds
without problems.
Comment 5 Martin Wilke freebsd_committer 2008-06-01 13:35:23 UTC
State Changed
From-To: open->closed

close by request.